<?php namespace EscapeWork\Manager\Seed;

use Seeder;
use DateTime;
use EscapeWork\Manager\Model\RoleAction;

class RoleActionTableSeeder extends Seeder
{

    public function run()
    {
        if (! RoleAction::where('action_id', '=', 1)->first()) {
            RoleAction::create(array(
                'role_id'    => 1, 
                'action_id'  => 1, 
                'page_id'    => 1, 
                'created_at' => new DateTime, 
                'updated_at' => new DateTime, 
            ));
        }

        if (! RoleAction::where('action_id', '=', 2)->first()) {
            RoleAction::create(array(
                'role_id'    => 1, 
                'action_id'  => 2, 
                'page_id'    => 1, 
                'created_at' => new DateTime, 
                'updated_at' => new DateTime, 
            ));
        }

        if (! RoleAction::where('action_id', '=', 3)->first()) {
            RoleAction::create(array(
                'role_id'    => 1, 
                'action_id'  => 3, 
                'page_id'    => 1, 
                'created_at' => new DateTime, 
                'updated_at' => new DateTime, 
            ));
        }

        if (! RoleAction::where('action_id', '=', 4)->first()) {
            RoleAction::create(array(
                'role_id'    => 1, 
                'action_id'  => 4, 
                'page_id'    => 1, 
                'created_at' => new DateTime, 
                'updated_at' => new DateTime, 
            ));
        }
    }
}