@extends('manager::layouts.master')

@section('content')
    <div class="box-form-login">

        <div class="page-header">
            <h1>{{ Config::get('manager::title') }}</h1>
        </div><!-- .page-header -->

        {{ Msg::getAll() }}

        <form class="form-login" action="{{ Config::get('manager::url') }}/login" method="post" id="form-login">
            <input type="hidden" name="acao" value="login" />
            <input type="hidden" name="redirect" value="" />

            <fieldset>
                <legend>Faça o login</legend>

                <input type="text" class="input-block-level" name="email" id="email" placeholder="E-mail" autofocus />

                <input type="password" class="input-block-level" name="password" id="password" placeholder="Senha" />

                <div>
                    <label for="remember" class="checkbox">
                        <input type="checkbox" name="remember" id="remember" value="1" />
                        Manter logado
                    </label>

                    <small class="help-block">Não utilize essa opção em computadores públicos</small>
                </div><!-- .pull-left -->

                <div class="pull-right">
                    <input class="btn btn-large btn-primary js-btn-login" type="submit" value="Login" data-loading-text="Logando..." />
                </div><!-- .pull-right -->

                <div class="clearfix"></div>
            </fieldset>
        </form><!-- #form-login -->
    </div><!-- .box-form-login -->
@stop

@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-login').on('submit', function(e) {
            $('.js-btn-login').prop('disabled', true).button('loading');
        });
    })();
    </script>
@stop